> For the complete documentation index, see [llms.txt](https://api-docs.everreal.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.everreal.co/endpoints/owners/owners-query.md).

# Owners Query

### Introduction

Our owner query will get you the list of owners from the respective company. We provides ability to filter the owner by externalId and fullSearch over firstName, lastName and email. Please make sure the paging option is used to fetch more items.

To understand what is necessary and how to use GraphQL, on master data page we explain what is necessary to do

**Query**

```graphql
type Query {
  owners(input: OwnersFilterListPaging): [Owner]
}
```

**Schema**

```graphql
type Owner {
    id: String
    externalId: String
    email: String
    firstName: String
    lastName: String
    fullName: String
    companyName: String
    address: Address
    bankInformation: OwnerBankIformation
    bankDepositInformation: OwnerBankDepositInformation
    customFieldValues: [CustomFieldValue]
    company: Company
}

type Address {
  streetName: String
  streetNumber: String
  zipCode: String
  city: String
  country: String
}

type OwnerBankDepositInformation {
  iban: String
  bic: String
  bankName: String
  accountHolderName: String
}

type OwnerBankIformation {
  bankName: String
  bankAddress: String
  bic: String
  iban: String
}

type CustomFieldValue {
  key: String!
  value: JSON
}

type Company {
  id: String
  name: String
  partnerId: String
}

input OwnersFilterListPaging {
  filter: OwnersFilter
  paging: GraphPaging
  sort: GraphSorting
}

input OwnersFilter {
  id: String
  externalId: String
  companyId: String
  fullSearch: String
  updatedAt: IDateRange
}

input GraphPaging {
  skip: Int
  take: Int
}

input GraphSorting {
  fieldName: String
  direction: String
}
```

***Examples of Owner Query***

{% tabs %}
{% tab title="GraphQL" %}

```graphql
{
  owners(
    input: {
      filter: { externalId: "iE-32" }
      paging: { skip: 0, take: 50 }
    }
  ) {
    id
    email
    firstName
    lastName
    address {
      city
    }
    bankInformation {
      iban
    }
  }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.everreal.co/endpoints/owners/owners-query.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
